import os
import pandas as pd
import logging

def read_all_csv_files(directory):
    csv_files = [f for f in os.listdir(directory) if f.endswith('.csv')]
    data_frames = []
    for file in csv_files:
        file_path = os.path.join(directory, file)
        try:
            df = pd.read_csv(file_path)
            if not df.empty:
                data_frames.append(df)
        except pd.errors.EmptyDataError:
            logging.warning(f"Empty CSV file found and skipped: {file_path}")
    return data_frames

def process_data(data_frames):
    # 예제: 각 데이터 프레임의 기본 통계를 계산
    processed_data = []
    for df in data_frames:
        summary = df.describe()
        processed_data.append(summary)
    return processed_data
