import logging
from api_module import get_search_conditions, fetch_stocks_by_condition
from helper_functions import read_cumulative_stock_codes, write_cumulative_stock_codes

def detect_stocks():
    cumulative_stocks = read_cumulative_stock_codes()

    conditions = get_search_conditions()
    if conditions:
        logging.info(f"Search Conditions: {conditions}")
        selected_stocks = []

        for condition in conditions:
            condition_seq = condition['seq']
            stocks = fetch_stocks_by_condition(condition_seq)
            selected_stocks.extend(stocks)

        for stock_code in selected_stocks:
            cumulative_stocks.add(stock_code)

    write_cumulative_stock_codes(cumulative_stocks)
    logging.info(f"Detected stocks: {list(cumulative_stocks)}")
    return list(cumulative_stocks)
