import requests
import json
from ka_config import ka

def get_approval():
    try:
        url = ka.getTREnv().my_url
        headers = {"content-type": "application/json"}
        body = {
            "grant_type": "client_credentials",
            "appkey": ka.getTREnv().my_app,
            "secretkey": ka.getTREnv().my_sec
        }
        PATH = "oauth2/Approval"
        URL = f"{url}/{PATH}"
        res = requests.post(URL, headers=headers, data=json.dumps(body))
        res.raise_for_status()
        approval_key = res.json().get("approval_key")
        if not approval_key:
            raise ValueError("Approval key not found in the response.")
        return approval_key
    except requests.RequestException as e:
        print(f"HTTP request error: {e}")
        return None
    except Exception as e:
        print(f"Error obtaining approval key: {e}")
        return None
