
def fetch_stock_data(file_path='historical_stock_data.csv'):
    print(f"Fetching stock data from: {file_path}")
    if not os.path.exists(file_path):
        print(f"File not found: {file_path}")
        return pd.DataFrame()
    
    try:
        df = pd.read_csv(file_path)
        print("Raw data from file:")
        print(df)  # 파일에서 읽은 데이터 출력
        if df.empty:
            print("DataFrame is empty")
        else:
            print(f"Data fetched: {df.head()}")
        return df
    except pd.errors.EmptyDataError as e:
        print(f"Empty data error: {e}")
        return pd.DataFrame()
    except Exception as e:
        print(f"Error fetching stock data: {e}")
        return pd.DataFrame()

if __name__ == "__main__":
    # 임시 데이터 생성 및 파일 내용 확인
    data = {
        'date': ['2023-01-01', '2023-01-02', '2023-01-03', '2023-01-04', '2023-01-05'],
        'price': [100, 105, 102, 110, 115]
    }

    df = pd.DataFrame(data)
    df.to_csv('historical_stock_data.csv', index=False)
    print("Temporary historical_stock_data.csv created.")
    print("Contents of historical_stock_data.csv:")
    print(df)
    
    # 데이터 파일 읽기 테스트
    fetch_stock_data('historical_stock_data.csv')